# coding: utf8


ADDRESS = {
  0x00 : u'SSR Regler',  # SSR
  0x03 : u'ErwModul1',   # Erweiterungsmodul 1
  0x04 : u'ErwModul2',   # Erweiterungsmodul 2
  0x06 : u'Raumgerät1',  # Raumgeraet 1
  0x07 : u'Raumgerät2',  # Raumgeraet 2
  0x0a : u'Bediengerät', # Bediengeraet
  0x7F : u'broadcast',	 # Datum und Zeit, Brenner 00->7F
  }

UNKNOWN = 0x00000000

FI  = {}	# dictionary of field IDs

# Uhrzeit und Datum
FI[UNKNOWN]     = (   1, u"Stunden / Minuten" )
FI[UNKNOWN]     = (   2, u"Tag / Monat" )
FI[UNKNOWN]     = (   3, u"Jahr" )
FI[UNKNOWN]     = (   5, u"Sommerzeitbeginn" )
FI[UNKNOWN]     = (   6, u"Sommerzeitende" )

# Bedieneinheit
FI[UNKNOWN]     = (  20, u"Sprache" )
FI[UNKNOWN]     = (  22, u"Info" )
FI[UNKNOWN]     = (  23, u"Fehleranzeige" )
FI[UNKNOWN]     = (  25, u"Anzeigekontrast" )
FI[UNKNOWN]     = (  26, u"Sperre Bedienung" )
FI[UNKNOWN]     = (  27, u"Sperre Programmierung" )
FI[UNKNOWN]     = (  30, u"Bedieneinheit Grundeinstellung sichern" )
FI[UNKNOWN]     = (  31, u"Bedieneinheit Grundeinstellung aktivieren" )
FI[UNKNOWN]     = (  40, u"Einsatz als ..." )
FI[UNKNOWN]     = (  42, u"Zuordnung Raumgerät 1" )
FI[UNKNOWN]     = (  44, u"Bedienung HK2" )
FI[UNKNOWN]     = (  46, u"Bedienung HKP" )
FI[UNKNOWN]     = (  48, u"Wirkung Präsenztaste" )
FI[UNKNOWN]     = (  54, u"Korrektur Raumfühler" )
FI[UNKNOWN]     = (  70, u"Geräteversion" )



# 8300 Diagnose Erzeuger
FI[0x053D09A0]  = (8300, u'1. Brennerstufe T2')
#FI[0x05000229]  = (8300, u'TWW und Puffertemperatur')	# Microcontroller-Forum
FI[0x053D09A1]  = (8301, u"2. Brennerstufe T8")
FI[0x053D0826]  = (8308, u'Drehzahl Kesselpumpe')
FI[0x0d3d0519]  = (8310, u'Kesseltemperatur')
FI[0x0d3d0923]  = (8311, u'Kesselsollwert')
FI[0x053D0B26]  = (8312, u'Kesselschaltpunkt')
FI[0x113d051a]  = (8314, u'Kesselrücklauftemperatur Ist')   # reversed
FI[0x113d0b64]  = (8315, u"Kesselrücklaufsollwert ")        # reversed
FI[0x053D051D]  = (8316, u'Abgastemperatur Istwert')
FI[0x053D051C]  = (8318, u"Abgastemperatur Maximum")
FI[0x053D0834]  = (8326, u'Brennermodulation')
FI[0x0D3D093B]  = (8330, u'Betriebsstunden 1. Stufe')
FI[0x053D08A5]  = (8331, u'Startzähler 1. Stufe')
FI[0x0D3D093D]  = (8332, u"Betriebsstunden 2.Stufe")
FI[0x053D08A6]  = (8333, u"Startzähler 2.Stufe")

# 8500 Diagnose Solar
FI[0x493d04ce]  = (8505, u"Drehzahl Kollektorpumpe 1")
FI[0x053d0825]  = (8506, u"Drehzahl Solarpump ext.Tauscher")
FI[0x053d0823]  = (8507, u"Drehzahl Solarpumpe Puffer")
FI[0x053d0824]  = (8508, u"Drehzahl Solarpump Sch'bad")
FI[0x493d052a]  = (8510, u'Kollektortemperatur 1')
FI[0x493d053f]  = (8511, u"Kollektortemperatur 1 Max")
FI[0x493d0718]  = (8512, u"Kollektortemperatur 1 Min")
FI[0x493d053b]  = (8513, u"dT Kollektor 1/TWW")
FI[0x493d053c]  = (8514, u"dT Kollektor 1/Puffer")
FI[0x493d042e]  = (8515, u"dT Kollektor 1 / Schwimmbad")
FI[0x493d050e]  = (8519, u'Solarvorlauftemperatur Ertragsmessung (B63)')
FI[0x493d050f]  = (8520, u'Solarrücklauftemperatur Ertragsmessung (B64)')
FI[0x493D0599]  = (8526, u'Tagesertrag Solarenergie')
FI[0x493D0598]  = (8527, u'Gesamtertrag Solarenergie')
FI[0x493d0893]  = (8530, u'Betr\'stunden Solarertrag')
FI[0x493d0717]  = (8531, u"Betr`stunden Kollektor`überhitz")
FI[0x053d0822]  = (8543, u"Drehzahl Kollektorpumpe")
FI[0x493d052b]  = (8547, u"Kollektortemperatur 2")
FI[0x493d0540]  = (8548, u"Kollektortemperatur 2 Max")
FI[0x493d0adb]  = (8549, u"Kollektortemperatur 2 Min")
FI[0x493d053d]  = (8550, u"dT Kollektor 2 / TWW")
FI[0x493d053e]  = (8551, u"dT Kollektor 2 / Puffer")
# !FIXME! My trace Data point is dT Kollektor 2 / Schwimmbad (ProgNr 8552)
# dc 80 0a 0e 07 49 3d 04 2f 01 00 00 35 b0 
# Src=00/SSR Dest=0a/Bedieneinh Type=RET FieldID=493d042f Payload=010000 CRC=0x35b0
FI[0x493d042f]  = (8552, u"dT Kollektor 2 / Schwimmbad")
#FI[0x513d052e]  = (8552, u"dT Kollektor 2 / Schwimmbad")
FI[0x513D052E]  = (8560, u"Feststoffkesseltemperatur")
FI[0x513d0892]  = (8570, u"Betr'stunden Feststoffkessel")



# Definitions higher than 9999
FI[0x2d3d0215]  = (10000, u'INFO Raumtemperatur')  # ERROR command code bytes are swapped!
# Telegram from adrs 06 to 00: dc 86 00 0e 02 3d 2d 02 15 05 76 00 b0 e0 
FI[0x05000213]  = (10100, u'INFO Brenner')        # broadcast 00 to 7F
FI[0x0500006c]  = (10101, u'INFO Datum und Zeit') # broadcast 0A to 7F
FI[0x2d000211]  = (10102, u'INFO HK1 - TBD')
# dc 80 7f 15 02 2d 00 02 11 01 02 24 84 ff ff ff ff 00 07 83 93   Payload=01022484ffffffff0007 
# dc 80 7f 15 02 2d 00 02 11 01 02 24 84 ff ff ff ff 00 03 c3 17   Payload=01022484ffffffff0003 
FI[0x2e000211]  = (10103, u'INFO HK2 - TBD')      # adr 0x00 to 0x7F
# !FIXME! ProgNr 6705 is listed with a different command code 0x093d3072
FI[0x053d0099]  = (10104, u'SW Diagnosecode')     #            ProgNr 6705
FI[0x3d2d0215]  = (10109, u'INFO Raumtemperatur') # adr 0x06 to 0x00
#FI[0x2d3d0574]  = (10110, u'ProgNr  700 HK1 Betriebsart')   # ProgNr  700
#FI[0x313d0571]  = (10111, u'Trinkwasserbereitung Ein/Aus')  # ProgNr 1600
FI[0x2e3e0574]  = (10112, u'Heizbetrieb')

"""
# Kuschelganxta (Sascha Kloss) Datum: 27.11.2012 10:29
#
# Heizbetrieb, Anzeige Standby (auch bei TWW-Betrieb)
# Query:     DC 8A 00 0B 06 3D0507B0 A4 8C
# Response:  DC 80 0A 0D 07 053D07B0 00 89 EE E1   Heizbetrieb, Anzeige Standby (auch bei TWW-Betrieb)
#
# # Aus, Solltemp erreicht, Anzeige Standby
# Query:     DC 8A 00 0B 06 3D0507B0 A4 8C
# Response:  DC 80 0A 0D 07 053D07B0 00 0A 4F 0A   Aus, Solltemp erreicht, Anzeige Standby
#
# # Aus, Solltemp erreicht, "Gesperrt EVU"
# Query:    DC 8A 00 0B 06 3D0507B0 A4 8C
# Response: DC 80 0A 0D 07 053D07B0 00 19 6D 58    Solltemp erreicht, Gesperrt EVU
#
# TWW aktiv, HKP aus, Verdichter an, Komp an, Heizbetrieb, Mischer TWW
# Query:    DC 8A 00 0B 06 3D0507B0 A4 8C
# Response: DC 80 0A 0D 07 053D07B0 00 89 EE E1
"""
FI[0x053d07B0]  = (10900, u'Unrecognised FieldID')
# Unrecognised FieldIDs
FI[0x05000069]  = (10901, u'Unrecognised FieldID') # broadcast 00 to 7F
FI[0x053d0b4e]  = (10902, u'Unrecognised FieldID')
FI[0x053d0b0f]  = (10903, u'Unrecognised FieldID')
FI[0x053d0b2b]  = (10904, u'Unrecognised FieldID')
FI[0x053d0d20]  = (10905, u'Unrecognised FieldID')
FI[0x2f000211]  = (10906, u'Unrecognised FieldID') # broadcast 00 to 7F
FI[0x31000212]  = (10907, u'Unrecognised FieldID') # broadcast 00 to 7F





